- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_collection_t

# mongoc_collection_copy()

## Synopsis

    mongoc_collection_t *
    mongoc_collection_copy (mongoc_collection_t *collection);

## Parameters

- `collection`: A mongoc_collection_t.

## Description

Performs a deep copy of the `collection` struct and its configuration. Useful if you intend to call mongoc_collection_set_write_concern(), mongoc_collection_set_read_prefs(), or mongoc_collection_set_read_concern(), and want to preserve an unaltered copy of the struct.

This function does not copy the contents of the collection on the MongoDB server; use the cloneCollection command for that purpose.

## Returns

A newly allocated mongoc_collection_t that should be freed with mongoc_collection_destroy() when no longer in use.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.